- Home
- Download
- Contribute
- Support
- Cyrus SASL

# cyr_sequence

Debug tool for seqset. Also useful for resolving sequences.

## Synopsis

    cyr_sequence [ -C altconfig ] [ -m maxval ] <command> sequence

    The command is one of:

        * parsed
        * compress
        * members
        * ismember
        * create

    The sequence is a list of sequences. Discrete numbers are separated with commas, ranges are separated by colons.

## Description

cyr_sequence shows what happens when various operations are performed over a sequence.

## Options

`parsed``*sequence*`

  Dumps a parsed view of the list structure, broken into contiguous sections.

`compress``*sequence*`

  Given a list, compress ranges with colons.

`members``*sequence*`

  Displays the full list of members within the sequence, in order, expanding out the ranges.

`ismember``*[num...]*`

  For each number in the list, check if it’s in the sequence.

`create``*[-s] [-o origlist] [items]*`

  Generate a new list from the items, prefix numbers with `~` to remove them from the list. If an original list is given, this is joined into this new list.

  The -s flag generates a sparse list.

`join``*sequence1* *sequence2*`

  Join two sequences together and return the output in compressed format.

`-C``*altconfig*`

  Specify an alternate config file.

`-m``*maxval*`

  Limit the maximum value to accept.

## Examples

    cyr_sequence parsed 1,3,4,5

    Sections: 2
    [1, 1]
    [3, 5]

    cyr_sequence compress 1,3,4,5

    1,3:5

    cyr_sequence members 1,23:25,28,30:32

    1
    23
    24
    25
    28
    30
    31
    32